Skip to content

getCardTransactions

READ

Get card transactions.

POST /api/v1/invoicing/getCardTransactions
curl -X POST '<your-host>/api/v1/invoicing/getCardTransactions' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "args": {}
  }'
Response
{
  "results": [
    {
      "amount": 0,
      "cardAccountId": "string",
      "cardHolderName": "string",
      "cardLast4": "string",
      "cardTransactionId": "string",
      "companyId": "string",
      "createdAt": "string",
      "createdBy": "string",
      "currencyCode": "string",
      "customFields": "…",
      "exchangeRate": 0,
      "id": "string",
      "integration": "string",
      "journalId": "string",
      "memo": "string",
      "merchantName": "string",
      "offsetAccountId": "string",
      "postedAt": "string",
      "postedBy": "string",
      "postingDate": "string",
      "status": "Draft",
      "supplierId": "string",
      "transactionDate": "string",
      "type": "Charge",
      "updatedAt": "string",
      "updatedBy": "string",
      "voidedAt": "string",
      "voidedBy": "string"
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "args": {
      "type": "object",
      "properties": {
        "limit": {
          "type": "integer",
          "default": 100
        },
        "offset": {
          "type": "integer",
          "default": 0
        },
        "search": {
          "type": [
            "string",
            "null"
          ]
        },
        "type": {},
        "status": {}
      }
    }
  }
}